<!DOCTYPE html>
<html lang="en">
    <head>
		<meta charset="iso-8859-1">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="icon" href="./includes/images/favicon.ico" type="image/x-icon">
		<link type="text/css" href="includes/css/custom-theme/jquery-ui.min.css" rel="Stylesheet" />
		<link type="text/css" href="includes/css/bootstrap.min.css" rel="Stylesheet" />
		<link rel="stylesheet" type="text/css" href="includes/css/template_css.css" />
		<script type="text/javascript" language="javascript" src="includes/js/jquery-1.7.2.min.js"></script>
		<script type="text/javascript" language="javascript" src="includes/js/jquery-validation/jquery.validate.js"></script>
		<script type="text/javascript" src="includes/js/bootstrap.min.js"></script>
		<script type="text/javascript" src="includes/js/jquery-ui.min.js"></script>
		<script type="text/javascript" language="javascript" src="includes/js/validation_modul.js"></script>
		<script type="text/javascript" src="https://beronet.atlassian.net/s/d41d8cd98f00b204e9800998ecf8427e-T/-p0v7s4/100026/c/1000.718.3/_/download/batch/com.atlassian.jira.collector.plugin.jira-issue-collector-plugin:issuecollector/com.atlassian.jira.collector.plugin.jira-issue-collector-plugin:issuecollector.js?locale=en-US&collectorId=49be9d97"></script>
		<script type="text/javascript" language="javascript">
            jQuery.validator.setDefaults({
                highlight: function (element) {
                    $(element).closest('.form-group').addClass('has-error');
                },
                unhighlight: function (element) {
                    $(element).closest('.form-group').removeClass('has-error');
                },
                errorElement: 'span',
                errorClass: 'help-block',
                errorPlacement: function (error, element) {
                    if (element.parent('.input-group').length) {
                        error.insertAfter(element.parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
            var validateMethod = $.fn.validate;
            $.fn.validate = function (o) {
                if (o && o.rules) {
                    for (var name in o.rules) {
                        var rule = o.rules[name];
                        if (rule.required === true || rule.atLeastOnePort === true) {
                            addAsterisk(name);
                        }
                    }
                }
                return $.proxy(validateMethod, this)(o);
            };
            function addAsterisk(name) {
                var label = $('label[for="' + name + '"]');
                var text = label.text();
                var lastChar = text.substr(text.length - 1);
                if (lastChar != "*") {
                    label.html(label.html() + "<span style=color:red>*</span>");
                }
            }
            function deleteAsterisk(name) {
                var label = $('label[for="' + name + '"]');
                var text = label.text();
                var lastChar = text.substr(text.length - 1);
                if (lastChar == "*") {
                    label.text(text.slice(0, -1));
                }
            }

            var activated = false;

            var req = false;

            //AJAX Request nach dem reboot
            function setRequest() {
                // Request erzeugen
                if (window.XMLHttpRequest) {
                    req = new XMLHttpRequest(); // Mozilla, Safari, Opera
                } else if (window.ActiveXObject) {
                    try {
                        req = new ActiveXObject('Msxml2.XMLHTTP'); // IE 5
                    } catch (e) {
                        try {
                            req = new ActiveXObject('Microsoft.XMLHTTP'); // IE 6
                        } catch (e) {
                        }
                    }
                }


                // überprüfen, ob Request erzeugt wurde
                if (!req) {
                    alert('Can not create an XMLHTTP instance');
                    return false;
                } else {
                    // Request öffnen
                    req.open('GET', "/", true);
                    // Requestheader senden
                    // Request senden
                    req.send(null);
                    // Request auswerten
                    req.onreadystatechange = interpretRequest;
                }
            }

            // Request auswerten
            function interpretRequest() {
                switch (req.readyState) {
                    // wenn der readyState 4 und der request.status 200 ist, dann ist alles korrekt gelaufen
                    case 4:
                        if (req.status != 200) {
                            //Request senden solange die karte down ist.
                            setRequest();
                        } else {
                            // Die karte wurde schon neugestartet
                            window.location = '/';
                        }
                        break;
                    default:
                        break;
                }
            }
            //AJAX Request Ende
            function getTotalCalls() {
                $.ajax({
                    url: "misc/getTotalCalls.php",
                    cache: false,
                    success: function (data) {
                        $("#totalcalls").html(data);
                    },
                });
            }

            //Erzeugt die Netmaske anhand der IP Adresse
            function makeNetMask(IPvalue) {
                var ipPattern = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
                var ipArray = IPvalue.match(ipPattern);

                if (ipArray != null) {
                    if (ipArray[1] >= 0 && ipArray[1] <= 127)
                        return "255.0.0.0";
                    if (ipArray[1] >= 128 && ipArray[1] <= 191)
                        return "255.255.0.0";
                    if (ipArray[1] >= 192 && ipArray[1] <= 223)
                        return "255.255.255.0";
                }
                return "";
            }

            //Popup Fenster öffnen
            function new_window(URL) {
                left_pos = ((screen.width - 750) / 2);
                height_pos = ((screen.height - 400) / 2);
                window.open(URL, "beroAri", "width=750, height=400, left=" + left_pos + ", top=" + height_pos + " , menubar=no, location=no, resizable=yes, scrollbars=yes, status=no");
            }


            //Anzeige der verschiedene "activate" knöpfe
            function aktivieren(aktiv, m, option, text) {

                if (aktiv == 1 && activated == false) {
                    if (option == 2) {
                        document.getElementById('aktiv').innerHTML = '<input type=\'button\' id=\'aktivieren\' class=\'aktivieren2\' value=\'' + text + '\'>';
                    } else if (option == 3) {
                        document.getElementById('aktiv').innerHTML = '<input type=\'button\' id=\'aktivieren\' class=\'aktivieren3\' value=\'' + text + '\'>';
                    } else {
                        document.getElementById('aktiv').innerHTML = '<input type=\'button\' id=\'aktivieren\' class=\'aktivieren1\' value=\'' + text + '\'>';
                    }
                    activated = true;
                }
            }

            //Der Button "Easy Configuration Wizard" wird angezeigt
            //wenn die Datenbank sich in einem leeren Zustand befindet
            function wizard(check, text) {
<?php if ($_GET['m'] != "wizard"): ?>
	                if (check == 1)
	                    document.getElementById('wiz').innerHTML = '<a onclick="javascript:window.location.href=\'./index.php?m=Wizard\';" ><input type=\'button\' id=\'wizard\' value=\'' + text + '\'></a>';
<?php endif; ?>
            }
		</script>
		<title>beroNet Gateway</title>
		<?php
		$ba = new beroAri();
		if (isset($_POST['lang']))
			$ba->set("lang", $_POST['lang']);
		if (isset($_POST['gui_mode']))
			$ba->set("gui_mode", $_POST['gui_mode']);

		($ba->get('gui_mode') != "") ? $guiMode = $ba->get('gui_mode') : $guiMode = "advanced";

		require_once("./includes/lang.php");
		require_once("./includes/Helper/Helper.php");

		$option = $ba->get("activate");
		if ($option != 0)
			$aktiv = '1';
		else
			$aktiv = 0;

		$installedFW = Helper::getAppFsVersion();
		$file_list = Helper::getAvailableFwVersion();
		$availableFW = preg_replace('/(Firmware)/', '', $file_list[0]['name']);
		$installedFWParts = preg_split('/\.|(-RC)/i', $installedFW);
		$availableFWParts = preg_split('/\.|(-RC)/i', $availableFW);
		if ($availableFWParts[0] > $installedFWParts[0] || ($availableFWParts[0] == $installedFWParts[0] && $availableFWParts[1] > $installedFWParts[1]) || ($availableFWParts[1] == $installedFWParts[1] && $availableFWParts[2] > $installedFWParts[2])) {
			$showFirmwareUpdateMessage = '1';
		}

		$query = $ba->select('SELECT password FROM users WHERE user = \'admin\'');
		$pw_chk = $ba->fetch_array($query);
		if (tep_validate_password('admin', $pw_chk['password']) !== false) {
			$showSecurityMessage = '1';
		}
		?>
		<script type="text/javascript">
            $(document).ready(function () {
                $('[data-toggle="tooltip"]').tooltip({placement: 'auto bottom', html: true, trigger: 'hover'});
                $("#dialog-confirm").dialog({
                    autoOpen: false,
                    modal: true
                });
                aktivieren("<? echo $aktiv ?> ", "<? echo $_GET['m']; ?> ", "<? echo $option; ?>", "<? echo ACTIVATE; ?>");
                wizard(" <? echo Helper::check($ba); ?>", " <? echo WIZARD; ?>");

                $("#aktivieren").click(function (e) {
                    e.preventDefault();
                    var targetUrl = 'includes/create_files.php?m=<? echo $_GET['m']; ?>&opt=<? echo $_GET['opt']; ?>';
                            if ($(this).prop("class") == 'aktivieren2') {
                        $("#dialogtext").html('With this action <span id="totalcalls">X</span> call(s) will be finished');
                    } else if ($(this).prop("class") == 'aktivieren3') {
                        $("#dialogtext").html('With this action <span id="totalcalls">X</span> call(s) will be finished and the system will reboot');
                    } else {
                        $(this).prop("disabled", true);
                        window.location.href = targetUrl;
                        return;
                    }

                    $("#dialog-confirm").dialog({
                        buttons: {
                            "Confirm": function () {
                                $("#aktivieren").prop("disabled", true);
                                $(this).dialog("close");
                                window.location.href = targetUrl;
                            },
                            "Cancel": function () {
                                $(this).dialog("close");
                            }
                        }
                    });

                    $("#dialog-confirm").dialog("open");
                    $.ajax({
                        url: "misc/getTotalCalls.php",
                        cache: false,
                        success: function (data) {
                            $("#totalcalls").html(data);
                        },
                    });
                });
            });
		</script>
    </head>
	<?php
//Aufbau des HTML Codes
	$ret .= "<body>
<script type=\"text/javascript\" src=\"./includes/notes/wz_tooltip.js\"></script>
<div id='dialog-confirm' title='Activate your settings?'>
  <p id='dialogtext'></p>
</div>
<div id='wait_div' class='text-center' style='display:none;	padding-top:100px;	position:absolute;	width:100%;	height:100%;	z-index:110;	background-color: rgb(255, 255, 255);'><p>" . UPLOAD_WAIT . "</p><br/>
	<img src='./includes/images/waitlogo1.gif'/>
</div>
<div class=\"container boxed\" id=\"page\">";
	include "includes/menu.php";
	$ret .= "
 <br/>
    <div id=\"pageName\" class=\"clear\">
        <!-- Languages -->
        <div class=\"part2\">
        <div class=\"part2\">
			<form action='' method='POST'>
				<input type='hidden' name='lang' value='de'>
				<input type='image' src=\"./includes/images/deutsch.gif\" height='15px' width='22px'/>
			</form>
		</div>
		<div class=\"part2\">
    	<form action='' method='POST'>
				<input type='hidden' name='lang' value='en'>
				<input type='image' src=\"./includes/images/englisch.gif\" height='15px' width='22px'/>
			</form>
		</div>
		<div class=\"part2\">
        " . LANGUAGES . ":
        </div>
		</div>
	<div class=\"part2\">";
	if ($guiMode == 'simple')
		$ret .= "<div class=\"part2\">
			<form action='' id='guiAdvanced' method='POST'>
				<input type='hidden' name='gui_mode' value='advanced'>
				<span style='color:grey;'>Easy</span>&nbsp;/&nbsp;<a href='javascript:{}' onClick='guiAdvanced.submit();'>Advanced</a>
			</form>
		</div>";
	if ($guiMode == 'advanced')
		$ret .= "<div class=\"part2\">
			<form action='' id='guiEasy' method='POST'>
				<input type='hidden' name='gui_mode' value='simple'>
				<a href='javascript:{}' onClick='guiEasy.submit();'>Easy</a>&nbsp;/&nbsp;<span style='color:grey;'>Advanced</span>
			</form>
		</div>";

	$ret .= "<div class=\"part2\">
        " . GUI_MODE . ":
        </div>
		</div>
		


    <!-- PageName  -->
        <div class=\"part1\">
			<h1>" . constant($name) . "</h1>
        </div>
         </div>";

	$ret .= "<br><div id='reset_jumper' class='center' style='color:red; font-size:13px;'></div>
				<div id='hardware_ch' class='text-center' style='color:red; font-size:13px;'></div>
				<div id='wiz' class='text-center' style='margin-top:5px;'></div>
				<div id='aktiv' class='text-center' style='margin-top:5px;'></div>";

	if ($showFirmwareUpdateMessage && $_GET['m'] != "UpdateTool") {
		$ret .= "
	<br/>
    <div id='newer_firmware_available' class='text-center' style='margin-top:5px; color:red;'>" . FIRMWARE_UPDATE_AVAILABLE_MESSAGE_DIS . "</div>";
	}

	if ($showSecurityMessage) {
		$ret .= "
	<br/>
    <div id='security_mess' class='text-center' style='margin-top:5px; color:red;'>" . SECURITY_CHANGE_PASSWORD_MESSAGE_DIS . "</div>";
	}

	if (file_exists('/tmp/error_certificate.log')) {
		$ret .= "
	<br/>
	<div id='error_certificate' class='text-center' style='margin-top:5px; color:red;'>" . ERROR_HTTPS_CERTIFICATE_MESSAGE_DIS . "</div>";
	}
	?>
